package com.gic.haoban.manage.web.vo.moment;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

public class MomentDataOrderVO implements Serializable {

    private String mbrId ;
    private String memberId ;
    /**
     * 会员名称
     */
    private String memberName;

    private String memberImage;

    /**
     * 会员昵称
     */
    private String memberNick;

    @JsonSerialize(using = CardNoJsonSeralizer.class)
    private String memberCardNo;

    /**
     * 会员手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone;

    /**
     * 订单渠道
     */
    private String  channelCode	 ;
    private String  channelName ;

    /**
     * 订单编号
     */
    private String orderCode ;


    /**
     * 实付金额
     */
    private Double  matlConvsAmt ;

    /**
     * 消费门店
      */
    private String  orderStoreId ;
    private String  orderStoreName ;
    private String  orderStoreCode ;

    /**
     * 订单时间
     */
    private String orderTime ;

    /**
     * 1：非会员 2：会员已注销 3：正常
     */
    private Integer memberScene;

    public Integer getMemberScene() {
        return memberScene;
    }

    public void setMemberScene(Integer memberScene) {
        this.memberScene = memberScene;
    }
    public String getMbrId() {
        return mbrId;
    }

    public void setMbrId(String mbrId) {
        this.mbrId = mbrId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Double getMatlConvsAmt() {
        return matlConvsAmt;
    }

    public void setMatlConvsAmt(Double matlConvsAmt) {
        this.matlConvsAmt = matlConvsAmt;
    }

    public String getOrderStoreId() {
        return orderStoreId;
    }

    public void setOrderStoreId(String orderStoreId) {
        this.orderStoreId = orderStoreId;
    }

    public String getOrderStoreName() {
        return orderStoreName;
    }

    public void setOrderStoreName(String orderStoreName) {
        this.orderStoreName = orderStoreName;
    }

    public String getOrderStoreCode() {
        return orderStoreCode;
    }

    public void setOrderStoreCode(String orderStoreCode) {
        this.orderStoreCode = orderStoreCode;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }
}
